Bug 1118082 - The error result text message should be obtained just prior to sending result
Summary: The error result text message should be obtained just prior to sending result
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 00:34 UTC by Noriko Hosoi
Modified: 2015-03-05 09:36 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:36:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Noriko Hosoi 2014-07-10 00:34:44 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47817

Its possible that backend plugins can set the error text, which frees the existing result text(if any).  The problem is that in the backend we grab a pointer to the result text before we call the backend postop plugins.  If a plugin sets the result text we will get invalid read errors reported by valgrind.

Comment 3 mreynolds 2014-10-23 19:16:50 UTC
Verification steps:

[1]  install DS
[2]  Enable the memberOf plugin

# ldapmodify ...
dn: cn=MemberOf Plugin,cn=plugins,cn=config
changetype: modify
replace: nsslapd-pluginEnabled
nsslapd-pluginEnabled: on

[3]  Restart the server
[4]  Misconfigure the memberOf plugin, which will reject the update operation and return an error string describing the problem:

# ldapmodify ...
dn: cn=MemberOf Plugin,cn=plugins,cn=config
changetype: modify
replace: memberofattr 
memberofattr: cn

modifying entry "cn=MemberOf Plugin,cn=plugins,cn=config"
ldap_modify: Server is unwilling to perform (53)
	additional info: The cn configuration attribute must be set to an attribute defined to use the Distinguished Name syntax.  (illegal value: memberOfAttr)

[5]  Done!

Comment 4 Amita Sharma 2014-12-30 07:43:58 UTC
[root@dhcp201-126 ~]# ldapmodify -x -D "cn=directory manager" -w Secret123 -p 389 -h localhost << EOF
dn: cn=MemberOf Plugin,cn=plugins,cn=config
changetype: modify
replace: memberOfAttr
> memberOfAttr: cn
> EOF
modifying entry "cn=MemberOf Plugin,cn=plugins,cn=config"
ldap_modify: Server is unwilling to perform (53)
	additional info: The cn configuration attribute must be set to an attribute defined to use the Distinguished Name syntax.  (illegal value: memberOfAttr)

Hence marking as VERIFIED.

Comment 6 errata-xmlrpc 2015-03-05 09:36:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.